MetaMUI Crypto Primitives — Algorithm Inventory

This page is rendered from the release catalog, documents/public-release/catalog.json, by python3 scripts/public-release/docs_inventory.py --generate; --check, which scripts/preflight.sh runs, fails when the page and the catalog disagree. The catalog is the record: what a release covers, per profile and per target, is read there, not here.

17 algorithm families, 51 profiles (45 mandatory; 4 optional, 2 excluded) across 10 targets (c, csharp, go, java, kotlin, python, rust, swift, typescript, wasm). 6 further families are deferred: in the source tree, with no catalog profile, neither exported nor packaged by this release.

Algorithms of the source tree that the catalog does not list — further hashes, ciphers, MACs and KDFs, and the deferred families below — have pages under docs/algorithms/ and no release record; no count of them is kept.

Catalogued families

Family Kinds Profiles
Falcon (Round 3) (falcon) signature 4
ML-KEM (FIPS 203) (ml-kem) kem 3
ML-DSA (FIPS 204) (ml-dsa) signature 3
SLH-DSA (FIPS 205) (slh-dsa) signature 12
SMAUG-T (KpqC) (smaug-t) kem 5
HAETAE (KpqC) (haetae) signature 3
AIMer (KpqC) (aimer) signature 7
NTRU+ (KpqC) (ntru-plus) kem 4
SOLMAE (KpqC) (solmae) signature 2
BLAKE3 (blake3) hash 1
SHA-3 (FIPS 202) (sha3) hash 1
SHAKE (FIPS 202) (shake) xof 1
Keccak-256 (pre-FIPS padding) (keccak) hash 1
AES-256 (aes) aead 1
HKDF (RFC 5869) (hkdf) kdf 1
Ed25519 (RFC 8032) (ed25519) signature 1
sr25519 (Schnorrkel/Ristretto255) (sr25519) signature 1

Falcon (Round 3)

Profile Parameter set Kind Requirement Specification
falcon-512.r3-compressed Falcon-512 signature mandatory Falcon Round 3 specification and reference implementation (falcon-round3.zip)
falcon-512.r3-padded Falcon-512 signature mandatory Falcon Round 3 specification and reference implementation (falcon-round3.zip)
falcon-1024.r3-compressed Falcon-1024 signature mandatory Falcon Round 3 specification and reference implementation (falcon-round3.zip)
falcon-1024.r3-padded Falcon-1024 signature mandatory Falcon Round 3 specification and reference implementation (falcon-round3.zip)

ML-KEM (FIPS 203)

Profile Parameter set Kind Requirement Specification
ml-kem-512 ML-KEM-512 kem mandatory FIPS 203 Module-Lattice-Based Key-Encapsulation Mechanism Standard
ml-kem-768 ML-KEM-768 kem mandatory FIPS 203 Module-Lattice-Based Key-Encapsulation Mechanism Standard
ml-kem-1024 ML-KEM-1024 kem mandatory FIPS 203 Module-Lattice-Based Key-Encapsulation Mechanism Standard

ML-DSA (FIPS 204)

Profile Parameter set Kind Requirement Specification
ml-dsa-44 ML-DSA-44 signature mandatory FIPS 204 Module-Lattice-Based Digital Signature Standard
ml-dsa-65 ML-DSA-65 signature mandatory FIPS 204 Module-Lattice-Based Digital Signature Standard
ml-dsa-87 ML-DSA-87 signature mandatory FIPS 204 Module-Lattice-Based Digital Signature Standard

SLH-DSA (FIPS 205)

Profile Parameter set Kind Requirement Specification
slh-dsa-sha2-128s SLH-DSA-SHA2-128s signature mandatory FIPS 205 Stateless Hash-Based Digital Signature Standard
slh-dsa-sha2-128f SLH-DSA-SHA2-128f signature mandatory FIPS 205 Stateless Hash-Based Digital Signature Standard
slh-dsa-sha2-192s SLH-DSA-SHA2-192s signature mandatory FIPS 205 Stateless Hash-Based Digital Signature Standard
slh-dsa-sha2-192f SLH-DSA-SHA2-192f signature mandatory FIPS 205 Stateless Hash-Based Digital Signature Standard
slh-dsa-sha2-256s SLH-DSA-SHA2-256s signature mandatory FIPS 205 Stateless Hash-Based Digital Signature Standard
slh-dsa-sha2-256f SLH-DSA-SHA2-256f signature mandatory FIPS 205 Stateless Hash-Based Digital Signature Standard
slh-dsa-shake-128s SLH-DSA-SHAKE-128s signature mandatory FIPS 205 Stateless Hash-Based Digital Signature Standard
slh-dsa-shake-128f SLH-DSA-SHAKE-128f signature mandatory FIPS 205 Stateless Hash-Based Digital Signature Standard
slh-dsa-shake-192s SLH-DSA-SHAKE-192s signature mandatory FIPS 205 Stateless Hash-Based Digital Signature Standard
slh-dsa-shake-192f SLH-DSA-SHAKE-192f signature mandatory FIPS 205 Stateless Hash-Based Digital Signature Standard
slh-dsa-shake-256s SLH-DSA-SHAKE-256s signature mandatory FIPS 205 Stateless Hash-Based Digital Signature Standard
slh-dsa-shake-256f SLH-DSA-SHAKE-256f signature mandatory FIPS 205 Stateless Hash-Based Digital Signature Standard

SMAUG-T (KpqC)

Profile Parameter set Kind Requirement Specification
smaug-t.v1_2_0.mode1 SMAUG-T v1.2.0 mode 1 kem mandatory SMAUG-T specification and reference implementation (CryptoLabInc/SMAUG-T)
smaug-t.v1_2_0.mode3 SMAUG-T v1.2.0 mode 3 kem mandatory SMAUG-T specification and reference implementation (CryptoLabInc/SMAUG-T)
smaug-t.v1_2_0.mode5 SMAUG-T v1.2.0 mode 5 kem mandatory SMAUG-T specification and reference implementation (CryptoLabInc/SMAUG-T)
smaug-t.v1_2_0.modet SMAUG-T v1.2.0 mode T kem optional (decided 2026-09-14) SMAUG-T specification and reference implementation (CryptoLabInc/SMAUG-T)
smaug-t.v1_1_1.mode3-metamui SMAUG-T v1.1.1 mode 3 (pk 1088 / sk 1312 / ct 992) kem excluded (decided 2026-09-14) SMAUG-T v1.1.1 (MetaMUI compatibility profile; keys/ciphertexts are not interoperable with v1.2.0)

HAETAE (KpqC)

Profile Parameter set Kind Requirement Specification
haetae-2 HAETAE-2 signature mandatory HAETAE specification and reference implementation (CryptoLabInc/HAETAE)
haetae-3 HAETAE-3 signature mandatory HAETAE specification and reference implementation (CryptoLabInc/HAETAE)
haetae-5 HAETAE-5 signature mandatory HAETAE specification and reference implementation (CryptoLabInc/HAETAE)

AIMer (KpqC)

Profile Parameter set Kind Requirement Specification
aimer-128s AIMer-128s (v3) signature mandatory AIMer specification and reference implementation (Samsung SDS AIMer v3)
aimer-128f AIMer-128f (v3) signature mandatory AIMer specification and reference implementation (Samsung SDS AIMer v3)
aimer-192s AIMer-192s (v3) signature mandatory AIMer specification and reference implementation (Samsung SDS AIMer v3)
aimer-192f AIMer-192f (v3) signature mandatory AIMer specification and reference implementation (Samsung SDS AIMer v3)
aimer-256s AIMer-256s (v3) signature mandatory AIMer specification and reference implementation (Samsung SDS AIMer v3)
aimer-256f AIMer-256f (v3) signature mandatory AIMer specification and reference implementation (Samsung SDS AIMer v3)
aimer.aim2-128s-metamui AIM2-128s (AIMer v2.0-era compatibility profile selected by feature aim-v2) signature optional (decided 2026-10-03) AIMer v2.0 (AIM2) as shipped at consumer pin v3.1.0

NTRU+ (KpqC)

Profile Parameter set Kind Requirement Specification
ntru-plus-576 NTRU+576 kem excluded (decided 2026-09-14) NTRU+ specification and reference implementation (NTRU+ TEAM)
ntru-plus-768 NTRU+768 kem mandatory NTRU+ specification and reference implementation (NTRU+ TEAM)
ntru-plus-864 NTRU+864 kem mandatory NTRU+ specification and reference implementation (NTRU+ TEAM)
ntru-plus-1152 NTRU+1152 kem mandatory NTRU+ specification and reference implementation (NTRU+ TEAM)

SOLMAE (KpqC)

Profile Parameter set Kind Requirement Specification
solmae-512 SOLMAE-512 signature optional (decided 2026-10-27) TTAK.KO-12.0410 Part 2 — Quantum-Safe Digital Signature Based on NTRU Lattices, Part 2: SOLMAE Signature Scheme (TTA standard; English edition TTAE.KO-12.0410-Part2)
solmae-1024 SOLMAE-1024 signature optional (decided 2026-10-27) TTAK.KO-12.0410 Part 2 — Quantum-Safe Digital Signature Based on NTRU Lattices, Part 2: SOLMAE Signature Scheme (TTA standard; English edition TTAE.KO-12.0410-Part2)

BLAKE3

Profile Parameter set Kind Requirement Specification
blake3 BLAKE3-256 hash mandatory BLAKE3: one function, fast everywhere (specification, BLAKE3-team/BLAKE3-specs blake3.pdf)

SHA-3 (FIPS 202)

Profile Parameter set Kind Requirement Specification
sha3-256 SHA3-256 hash mandatory FIPS 202 SHA-3 Standard: Permutation-Based Hash and Extendable-Output Functions

SHAKE (FIPS 202)

Profile Parameter set Kind Requirement Specification
shake-256 SHAKE256 xof mandatory FIPS 202 SHA-3 Standard: Permutation-Based Hash and Extendable-Output Functions

Keccak-256 (pre-FIPS padding)

Profile Parameter set Kind Requirement Specification
keccak-256 Keccak-256 hash mandatory The Keccak SHA-3 submission, version 3 (Keccak[c=512] with the 0x01 pad10*1 domain, i.e. pre-FIPS-202 Keccak-256)

AES-256

Profile Parameter set Kind Requirement Specification
aes-256-gcm AES-256-GCM aead mandatory NIST SP 800-38D Recommendation for Block Cipher Modes of Operation: Galois/Counter Mode (GCM) and GMAC, over FIPS 197 AES

HKDF (RFC 5869)

Profile Parameter set Kind Requirement Specification
hkdf-sha256 HKDF-SHA256 kdf mandatory RFC 5869 HMAC-based Extract-and-Expand Key Derivation Function (HKDF)

Ed25519 (RFC 8032)

Profile Parameter set Kind Requirement Specification
ed25519 Ed25519 signature mandatory RFC 8032 Edwards-Curve Digital Signature Algorithm (EdDSA)

sr25519 (Schnorrkel/Ristretto255)

Profile Parameter set Kind Requirement Specification
sr25519 sr25519 signature mandatory schnorrkel — Schnorr signatures on Ristretto255 with Merlin transcripts (w3f); the crate is the specification, there is no standalone document

Deferred families

A deferred family has no catalog profile and is not exported or packaged by this release; its code, gates and vectors stay in the source tree.

Family Decided Decision
HQC (hqc) 2026-09-14 owner decision, 2026-09-14 (documents/public-release/evidence/199-inventory.md §13)
FrodoKEM (frodokem) 2026-09-14 owner decision, 2026-09-14 (documents/public-release/evidence/199-inventory.md §13)
Classic McEliece (classic-mceliece) 2026-09-14 owner decision, 2026-09-14 (documents/public-release/evidence/199-inventory.md §13)
NTRU Prime (sntrup) (ntru-prime) 2026-09-14 owner decision, 2026-09-14 (documents/public-release/evidence/199-inventory.md §13)
LMS / HSS (RFC 8554, SP 800-208) (lms) 2026-09-14 owner decision, 2026-09-14 (documents/public-release/evidence/199-inventory.md §13)
XMSS / XMSS^MT (RFC 8391, SP 800-208) (xmss) 2026-09-14 owner decision, 2026-09-14 (documents/public-release/evidence/199-inventory.md §13)